### Type parameters

- #### K

- #### V

### Hierarchy

- DefiniteMap

## Index

### Constructors

- constructor

### Methods

- get
- set
- values

## Constructors

### constructor

- new DefiniteMap(): DefiniteMap

- - Defined in parser/serializer.ts:224

  #### Returns DefiniteMap

## Methods

### get

- get(key: K): V

- - Defined in parser/serializer.ts:228

  #### Parameters

  - ##### key: K

  #### Returns V

### set

- set(k: K, v: V): void

- - Defined in parser/serializer.ts:235

  #### Parameters

  - ##### k: K

  - ##### v: V

  #### Returns void

### values

- values(): IterableIterator<V>

- - Defined in parser/serializer.ts:238

  #### Returns IterableIterator<V>

Generated using TypeDoc